// 更改 URL 的 query 参数
const updateQueryParam = (key, value) => {
  const url = new URL(window.location.toString()); // 获取当前 URL
  url.searchParams.delete(key); // 删除旧的 query 参数
  url.searchParams.set(key, value); // 设置新的 query 参数
  window.history.replaceState(null, "", url.toString()); // 使用 replaceState 修改 URL，不会触发路由
};

export default updateQueryParam;
